Index: src/mlx/gui/pirep.py
===================================================================
--- src/mlx/gui/pirep.py	(revision 855)
+++ src/mlx/gui/pirep.py	(revision 999)
@@ -1,7 +1,7 @@
 
-from common import *
-from dcdata import getTable
-from info import FlightInfo
-from flight import comboModel
+from .common import *
+from .dcdata import getTable
+from .info import FlightInfo
+from .flight import comboModel
 
 from mlx.pirep import PIREP
@@ -26,5 +26,5 @@
 #------------------------------------------------------------------------------
 
-class MessageFrame(gtk.Frame):
+class MessageFrame(Gtk.Frame):
     """A frame containing the information about a PIREP message.
 
@@ -33,20 +33,21 @@
     def __init__(self, message, senderPID, senderName):
         """Construct the frame."""
-        gtk.Frame.__init__(self)
-
-        vbox = gtk.VBox()
-
-        self._heading = heading = gtk.TextView()
+        Gtk.Frame.__init__(self)
+
+        vbox = Gtk.VBox()
+
+        self._heading = heading = Gtk.TextView()
         heading.set_editable(False)
         heading.set_can_focus(False)
-        heading.set_wrap_mode(WRAP_WORD)
+        heading.set_wrap_mode(Gtk.WrapMode.WORD)
+        heading.set_size_request(-1, 16)
 
         buffer = heading.get_buffer()
-        self._headingTag  = buffer.create_tag("heading", weight=WEIGHT_BOLD)
+        self._headingTag  = buffer.create_tag("heading", weight=Pango.Weight.BOLD)
         buffer.set_text("%s - %s" % (senderPID, senderName))
         buffer.apply_tag(self._headingTag,
                          buffer.get_start_iter(), buffer.get_end_iter())
 
-        headingAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        headingAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 1.0, yscale = 0.0)
         headingAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -55,6 +56,8 @@
         vbox.pack_start(headingAlignment, True, True, 4)
 
-        self._messageView = messageView = gtk.TextView()
-        messageView.set_wrap_mode(WRAP_WORD)
+        self._messageView = messageView = Gtk.TextView()
+        messageView.set_wrap_mode(Gtk.WrapMode.WORD)
+        messageView.set_editable(False)
+        messageView.set_can_focus(False)
         messageView.set_accepts_tab(False)
         messageView.set_size_request(-1, 60)
@@ -68,16 +71,12 @@
         self.show_all()
 
-        if pygobject:
-            styleContext = self.get_style_context()
-            color = styleContext.get_background_color(gtk.StateFlags.NORMAL)
-            heading.override_background_color(0, color)
-        else:
-            style = self.rc_get_style()
-            heading.modify_base(0, style.bg[0])
+        styleContext = self.get_style_context()
+        color = styleContext.get_background_color(Gtk.StateFlags.NORMAL)
+        heading.override_background_color(0, color)
 
 
 #-------------------------------------------------------------------------------
 
-class MessagesWidget(gtk.Frame):
+class MessagesWidget(Gtk.Frame):
     """The widget for the messages."""
     @staticmethod
@@ -87,5 +86,5 @@
 
     def __init__(self, gui):
-        gtk.Frame.__init__(self)
+        Gtk.Frame.__init__(self)
 
         self._gui = gui
@@ -94,16 +93,16 @@
         label.set_use_underline(True)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 4, padding_right = 4)
 
-        self._outerBox = outerBox = gtk.EventBox()
+        self._outerBox = outerBox = Gtk.EventBox()
         outerBox.add(alignment)
 
-        self._innerBox = innerBox = gtk.EventBox()
+        self._innerBox = innerBox = Gtk.EventBox()
         alignment.add(self._innerBox)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -112,9 +111,9 @@
         innerBox.add(alignment)
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
-        scroller.set_shadow_type(SHADOW_NONE)
-
-        self._messages = gtk.VBox()
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        scroller.set_shadow_type(Gtk.ShadowType.NONE)
+
+        self._messages = Gtk.VBox()
         self._messages.set_homogeneous(False)
         scroller.add_with_viewport(self._messages)
@@ -130,5 +129,5 @@
         """Add a message from the given sender."""
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                       xscale = 1.0, yscale = 0.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 2,
@@ -155,5 +154,5 @@
 #------------------------------------------------------------------------------
 
-class PIREPViewer(gtk.Dialog):
+class PIREPViewer(Gtk.Dialog):
     """The dialog for PIREP viewing."""
     @staticmethod
@@ -168,12 +167,12 @@
         - the frame,
         - the inner VBox."""
-        frame = gtk.Frame(label = label)
-
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        frame = Gtk.Frame(label = label)
+
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                   xscale = 1.0, yscale = 1.0)
         frame.add(alignment)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 4, padding_right = 4)
-        box = gtk.VBox()
+        box = Gtk.VBox()
         alignment.add(box)
 
@@ -183,5 +182,5 @@
     def getLabel(text, extraText = ""):
         """Get a bold label with the given text."""
-        label = gtk.Label("<b>" + text + "</b>" + extraText)
+        label = Gtk.Label("<b>" + text + "</b>" + extraText)
         label.set_use_markup(True)
         label.set_alignment(0.0, 0.5)
@@ -191,5 +190,5 @@
     def getDataLabel(width = None, xAlignment = 0.0):
         """Get a bold label with the given text."""
-        label = gtk.Label()
+        label = Gtk.Label()
         if width is not None:
             label.set_width_chars(width)
@@ -204,10 +203,11 @@
         - the window,
         - the text view."""
-        scrolledWindow = gtk.ScrolledWindow()
-        scrolledWindow.set_shadow_type(SHADOW_IN)
-        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
-
-        textView = gtk.TextView()
-        textView.set_wrap_mode(WRAP_WORD)
+        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                  Gtk.PolicyType.AUTOMATIC)
+
+        textView = Gtk.TextView()
+        textView.set_wrap_mode(Gtk.WrapMode.WORD)
         textView.set_editable(editable)
         textView.set_cursor_visible(editable)
@@ -227,5 +227,5 @@
 
         Returns the data label attached."""
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         table.attach(dataBox, column, column+1, row, row+1)
 
@@ -252,5 +252,5 @@
     def addHFiller(hBox, width = 8):
         """Add a filler to the given horizontal box."""
-        filler = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        filler = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                xscale = 1.0, yscale = 1.0)
         filler.set_size_request(width, -1)
@@ -260,5 +260,5 @@
     def addVFiller(vBox, height = 4):
         """Add a filler to the given vertical box."""
-        filler = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        filler = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                xscale = 1.0, yscale = 1.0)
         filler.set_size_request(-1, height)
@@ -285,9 +285,9 @@
         contentArea = self.get_content_area()
 
-        self._notebook = gtk.Notebook()
+        self._notebook = Gtk.Notebook()
         contentArea.pack_start(self._notebook, False, False, 4)
 
         dataTab = self._buildDataTab()
-        label = gtk.Label(xstr("pirepView_tab_data"))
+        label = Gtk.Label(xstr("pirepView_tab_data"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_data_tooltip"))
@@ -295,5 +295,5 @@
 
         commentsTab = self._buildCommentsTab()
-        label = gtk.Label(xstr("pirepView_tab_comments"))
+        label = Gtk.Label(xstr("pirepView_tab_comments"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_comments_tooltip"))
@@ -301,5 +301,5 @@
 
         logTab = self._buildLogTab()
-        label = gtk.Label(xstr("pirepView_tab_log"))
+        label = Gtk.Label(xstr("pirepView_tab_log"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_log_tooltip"))
@@ -309,10 +309,10 @@
         if showMessages:
             messagesTab = self._buildMessagesTab()
-            label = gtk.Label(xstr("pirepView_tab_messages"))
+            label = Gtk.Label(xstr("pirepView_tab_messages"))
             label.set_use_underline(True)
             label.set_tooltip_text(xstr("pirepView_tab_messages_tooltip"))
             self._notebook.append_page(messagesTab, label)
 
-        self._okButton = self.add_button(xstr("button_ok"), RESPONSETYPE_OK)
+        self._okButton = self.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
         self._okButton.set_can_default(True)
 
@@ -418,13 +418,13 @@
     def _buildDataTab(self):
         """Build the data tab of the viewer."""
-        table = gtk.Table(1, 2)
+        table = Gtk.Table(1, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
         table.set_homogeneous(True)
 
-        box1 = gtk.VBox()
+        box1 = Gtk.VBox()
         table.attach(box1, 0, 1, 0, 1)
 
-        box2 = gtk.VBox()
+        box2 = Gtk.VBox()
         table.attach(box2, 1, 2, 0, 1)
 
@@ -454,5 +454,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_flight"))
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
@@ -469,5 +469,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
@@ -479,5 +479,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -504,5 +504,5 @@
                                     width = 6)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -550,5 +550,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_route"))
 
-        levelBox = gtk.HBox()
+        levelBox = Gtk.HBox()
         mainBox.pack_start(levelBox, False, False, 0)
 
@@ -582,5 +582,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
@@ -609,5 +609,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        table = gtk.Table(2, 2)
+        table = Gtk.Table(2, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -640,5 +640,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_statistics"))
 
-        table = gtk.Table(4, 2)
+        table = Gtk.Table(4, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -686,5 +686,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_miscellaneous"))
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -738,5 +738,5 @@
     def _buildCommentsTab(self):
         """Build the tab with the comments and flight defects."""
-        table = gtk.Table(2, 1)
+        table = Gtk.Table(2, 1)
         table.set_col_spacings(16)
 
@@ -761,5 +761,5 @@
     def _buildLogTab(self):
         """Build the log tab."""
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
 
         (logWindow, self._log) = PIREPViewer.getTextWindow(heightRequest = -1)
@@ -771,5 +771,5 @@
     def _buildMessagesTab(self):
         """Build the messages tab."""
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
 
         self._messages = MessagesWidget(self._gui)
@@ -780,5 +780,5 @@
 #------------------------------------------------------------------------------
 
-class PIREPEditor(gtk.Dialog):
+class PIREPEditor(Gtk.Dialog):
     """A PIREP editor dialog."""
     _delayCodeRE = re.compile("([0-9]{2,3})( \([^\)]*\))")
@@ -790,7 +790,7 @@
         The label will got to cell (column, row), the widget to cell
         (column+1, row)."""
-        label = gtk.Label("<b>" + labelText + "</b>")
+        label = Gtk.Label("<b>" + labelText + "</b>")
         label.set_use_markup(True)
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                   xscale = 0.0, yscale = 0.0)
         alignment.add(label)
@@ -808,5 +808,5 @@
         The label will got to cell (column, row), the spin button to cell
         (column+1, row)."""
-        button = gtk.SpinButton()
+        button = Gtk.SpinButton()
         button.set_range(min = minValue, max = maxValue)
         button.set_increments(step = stepIncrement, page = pageIncrement)
@@ -848,9 +848,9 @@
         contentArea = self.get_content_area()
 
-        self._notebook = gtk.Notebook()
+        self._notebook = Gtk.Notebook()
         contentArea.pack_start(self._notebook, False, False, 4)
 
         dataTab = self._buildDataTab()
-        label = gtk.Label(xstr("pirepView_tab_data"))
+        label = Gtk.Label(xstr("pirepView_tab_data"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_data_tooltip"))
@@ -858,5 +858,5 @@
 
         self._flightInfo = self._buildCommentsTab()
-        label = gtk.Label(xstr("pirepView_tab_comments"))
+        label = Gtk.Label(xstr("pirepView_tab_comments"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_comments_tooltip"))
@@ -864,12 +864,12 @@
 
         logTab = self._buildLogTab()
-        label = gtk.Label(xstr("pirepView_tab_log"))
+        label = Gtk.Label(xstr("pirepView_tab_log"))
         label.set_use_underline(True)
         label.set_tooltip_text(xstr("pirepView_tab_log_tooltip"))
         self._notebook.append_page(logTab, label)
 
-        self.add_button(xstr("button_cancel"), RESPONSETYPE_CANCEL)
-
-        self._okButton = self.add_button(xstr("button_save"), RESPONSETYPE_NONE)
+        self.add_button(xstr("button_cancel"), Gtk.ResponseType.CANCEL)
+
+        self._okButton = self.add_button(xstr("button_save"), Gtk.ResponseType.NONE)
         self._okButton.connect("clicked", self._okClicked)
         self._okButton.set_can_default(True)
@@ -1015,13 +1015,13 @@
     def _buildDataTab(self):
         """Build the data tab of the viewer."""
-        table = gtk.Table(1, 2)
+        table = Gtk.Table(1, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
         table.set_homogeneous(True)
 
-        box1 = gtk.VBox()
+        box1 = Gtk.VBox()
         table.attach(box1, 0, 1, 0, 1)
 
-        box2 = gtk.VBox()
+        box2 = Gtk.VBox()
         table.attach(box2, 1, 2, 0, 1)
 
@@ -1051,5 +1051,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_flight"))
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
@@ -1066,5 +1066,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
@@ -1076,5 +1076,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -1101,5 +1101,5 @@
                                     width = 6)
 
-        table = gtk.Table(3, 2)
+        table = Gtk.Table(3, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -1146,5 +1146,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_route"))
 
-        levelBox = gtk.HBox()
+        levelBox = Gtk.HBox()
         mainBox.pack_start(levelBox, False, False, 0)
 
@@ -1153,5 +1153,5 @@
         levelBox.pack_start(label, False, False, 0)
 
-        self._filedCruiseLevel = gtk.SpinButton()
+        self._filedCruiseLevel = Gtk.SpinButton()
         self._filedCruiseLevel.set_increments(step = 10, page = 100)
         self._filedCruiseLevel.set_range(min = 0, max = 500)
@@ -1168,5 +1168,5 @@
         levelBox.pack_start(label, False, False, 0)
 
-        self._modifiedCruiseLevel = gtk.SpinButton()
+        self._modifiedCruiseLevel = Gtk.SpinButton()
         self._modifiedCruiseLevel.set_increments(step = 10, page = 100)
         self._modifiedCruiseLevel.set_range(min = 0, max = 500)
@@ -1202,13 +1202,13 @@
         PIREPViewer.addVFiller(mainBox)
 
-        dataBox = gtk.HBox()
+        dataBox = Gtk.HBox()
         mainBox.pack_start(dataBox, False, False, 0)
 
-        label = gtk.Label("<b>" + xstr("pirepView_runway") + "</b>")
+        label = Gtk.Label("<b>" + xstr("pirepView_runway") + "</b>")
         label.set_use_markup(True)
         dataBox.pack_start(label, False, False, 0)
 
         # FIXME: quite the same as the runway entry boxes in the wizard
-        self._departureRunway = gtk.Entry()
+        self._departureRunway = Gtk.Entry()
         self._departureRunway.set_width_chars(5)
         self._departureRunway.set_tooltip_text(xstr("takeoff_runway_tooltip"))
@@ -1216,5 +1216,5 @@
         dataBox.pack_start(self._departureRunway, False, False, 8)
 
-        label = gtk.Label("<b>" + xstr("pirepView_sid") + "</b>")
+        label = Gtk.Label("<b>" + xstr("pirepView_sid") + "</b>")
         label.set_use_markup(True)
         dataBox.pack_start(label, False, False, 0)
@@ -1222,8 +1222,5 @@
         # FIXME: quite the same as the SID combo box in
         # the flight wizard
-        if pygobject:
-            self._sid = gtk.ComboBox.new_with_model_and_entry(comboModel)
-        else:
-            self._sid = gtk.ComboBoxEntry(comboModel)
+        self._sid = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._sid.set_entry_text_column(0)
@@ -1251,5 +1248,5 @@
         PIREPViewer.addVFiller(mainBox)
 
-        table = gtk.Table(2, 4)
+        table = Gtk.Table(2, 4)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -1257,8 +1254,5 @@
 
         # FIXME: quite the same as in the wizard
-        if pygobject:
-            self._star = gtk.ComboBox.new_with_model_and_entry(comboModel)
-        else:
-            self._star = gtk.ComboBoxEntry(comboModel)
+        self._star = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._star.set_entry_text_column(0)
@@ -1272,8 +1266,5 @@
 
         # FIXME: quite the same as in the wizard
-        if pygobject:
-            self._transition = gtk.ComboBox.new_with_model_and_entry(comboModel)
-        else:
-            self._transition = gtk.ComboBoxEntry(comboModel)
+        self._transition = Gtk.ComboBox.new_with_model_and_entry(comboModel)
 
         self._transition.set_entry_text_column(0)
@@ -1288,5 +1279,5 @@
 
         # FIXME: quite the same as in the wizard
-        self._approachType = gtk.Entry()
+        self._approachType = Gtk.Entry()
         self._approachType.set_width_chars(10)
         self._approachType.set_tooltip_text(xstr("landing_approach_tooltip"))
@@ -1298,5 +1289,5 @@
 
         # FIXME: quite the same as in the wizard
-        self._arrivalRunway = gtk.Entry()
+        self._arrivalRunway = Gtk.Entry()
         self._arrivalRunway.set_width_chars(10)
         self._arrivalRunway.set_tooltip_text(xstr("landing_runway_tooltip"))
@@ -1313,5 +1304,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_statistics"))
 
-        table = gtk.Table(4, 4)
+        table = Gtk.Table(4, 4)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -1365,5 +1356,5 @@
         (frame, mainBox) = PIREPViewer.createFrame(xstr("pirepView_frame_miscellaneous"))
 
-        table = gtk.Table(6, 2)
+        table = Gtk.Table(6, 2)
         mainBox.pack_start(table, False, False, 0)
         table.set_row_spacings(4)
@@ -1413,5 +1404,5 @@
         self._flightType.set_tooltip_text(xstr("pirepEdit_flight_type_tooltip"))
 
-        self._online = gtk.CheckButton(xstr("pirepEdit_online"))
+        self._online = Gtk.CheckButton(xstr("pirepEdit_online"))
         table.attach(self._online, 2, 3, 2, 3)
         self._online.connect("toggled", self._updateButtons)
@@ -1435,5 +1426,5 @@
     def _buildLogTab(self):
         """Build the log tab."""
-        mainBox = gtk.VBox()
+        mainBox = Gtk.VBox()
 
         (logWindow, self._log) = PIREPViewer.getTextWindow(heightRequest = -1)
@@ -1522,5 +1513,5 @@
         The PIREP is updated from the data in the window."""
         if not askYesNo(xstr("pirepEdit_save_question"), parent = self):
-            self.response(RESPONSETYPE_CANCEL)
+            self.response(Gtk.ResponseType.CANCEL)
 
         pirep = self._pirep
@@ -1569,5 +1560,5 @@
         pirep.flightDefects = self._flightInfo.faultsAndExplanations
 
-        self.response(RESPONSETYPE_OK)
+        self.response(Gtk.ResponseType.OK)
 
 
